no aaa root
!
hardware counter feature vtep decap
hardware counter feature vtep encap
!
service routing protocols model multi-agent
!
hostname arista-leaf
!
router l2-vpn
   arp learning bridged
!
spanning-tree mode mstp
!
system l1
   unsupported speed action error
   unsupported error-correction action error
!
vlan 2604
   name v-peeringlan
!
interface Ethernet1/1
!
interface Ethernet2/1
!
interface Ethernet3/1
!
interface Ethernet4/1
!
interface Ethernet5/1
!
interface Ethernet6/1
!
interface Ethernet7/1
!
interface Ethernet8/1
!
interface Ethernet9/1
   shutdown
   speed forced 10000full
!
interface Ethernet9/2
   shutdown
!
interface Ethernet9/3
   speed forced 10000full
   switchport access vlan 2604
!
interface Ethernet9/4
   shutdown
!
interface Ethernet10/1
!
interface Ethernet10/2
   shutdown
!
interface Ethernet10/4
   shutdown
!
interface Ethernet11/1
!
interface Ethernet12/1
!
interface Ethernet13/1
!
interface Ethernet14/1
!
interface Ethernet15/1
!
interface Ethernet16/1
!
interface Ethernet17/1
!
interface Ethernet18/1
!
interface Ethernet19/1
!
interface Ethernet20/1
!
interface Ethernet21/1
!
interface Ethernet22/1
!
interface Ethernet23/1
!
interface Ethernet24/1
!
interface Ethernet25/1
!
interface Ethernet26/1
!
interface Ethernet27/1
!
interface Ethernet28/1
!
interface Ethernet29/1
   no switchport
!
interface Ethernet30/1
   load-interval 1
   mtu 9190
   no switchport
   ip address 198.19.17.10/31
   ip ospf cost 10
   ip ospf network point-to-point
   ip ospf area 0.0.0.0
!
interface Ethernet31/1
   load-interval 1
   mtu 9190
   no switchport
   ip address 198.19.17.3/31
   ip ospf cost 1000
   ip ospf network point-to-point
   ip ospf area 0.0.0.0
!
interface Ethernet32/1
   load-interval 1
   mtu 9190
   no switchport
   ip address 198.19.17.5/31
   ip ospf cost 1000
   ip ospf network point-to-point
   ip ospf area 0.0.0.0
!
interface Loopback0
   ip address 198.19.16.2/32
   ip ospf area 0.0.0.0
!
interface Loopback1
   ip address 198.19.18.2/32
!
interface Management1
   ip address dhcp
!
interface Vxlan1
   vxlan source-interface Loopback1
   vxlan udp-port 4789
   vxlan vlan 2604 vni 2604
!
ip routing
!
ip route 0.0.0.0/0 Management1 10.75.8.1
!
router bgp 65500
   neighbor evpn peer group
   neighbor evpn remote-as 65500
   neighbor evpn update-source Loopback0
   neighbor evpn ebgp-multihop 3
   neighbor evpn send-community extended
   neighbor evpn maximum-routes 12000 warning-only
   neighbor 198.19.16.0 peer group evpn
   neighbor 198.19.16.1 peer group evpn
   !
   vlan 2604
      rd 65500:2604
      route-target both 65500:2604
      redistribute learned
   !
   address-family evpn
      neighbor evpn activate
!
router ospf 65500
   router-id 198.19.16.2
   redistribute connected
   network 198.19.0.0/16 area 0.0.0.0
   max-lsa 12000
!
end
